# Use Conventional Commit Messages
* status: accepted
* date: 2022-07-20
* deciders: [Christian Birchler](https://github.com/ChristianBirchler)

## Context and Problem Statement
We want to have structured way of commit messages so that communication over them are enhanced among the collaborators.
What convention should we follow?
## Decision Drivers
* Simplicity

## Considered Options
* Conventional Commits: https://www.conventionalcommits.org/en/v1.0.0/
* Defining own structure

## Decision Outcome

Chosen option: "Conventional Commits", because
* Conventional Commits convention is widely known.
* GitHub can generate better release notes.
* It is easy to apply.

### Positive Consequences
* It is easier to cluster commit messages.
* It is easier to identify past changes.

### Negative Consequences
* There is some little effort to follow the structure of the convention.
* Collaborators are technically not enforced to follow the convention.
